Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.optimistic
Class TransactionWorkspaceImpl

    java.lang.Object
      org.jboss.cache.optimistic.TransactionWorkspaceImpl

All Implemented Interfaces:
  TransactionWorkspace

    public class TransactionWorkspaceImpl

extends java.lang.Object
implements TransactionWorkspace

Contains a mapping of Fqn to `WorkspaceNode`s. Each entry corresponds to a series of changed nodes within the transaction.

Author:
  Manik Surtani (manik@jboss.org), Steve Woodcock (stevew@jofti.com)

Constructor Summary
`TransactionWorkspaceImpl()`

Method Summary
`void` | `addNode(WorkspaceNode node)` Is thread safe so you dont need to deal with synchronising access to this method.
`TreeCache` | `getCache()`
`WorkspaceNode` | `getNode(Fqn fqn)`
`java.util.Map` | `getNodes()` Returns the nodes.
`java.util.SortedMap` | `getNodesAfter(Fqn fqn)` Returns all nodes equal to or after the given node.
`boolean` | `isVersioningImplicit()` Tests if versioning is implicit for a given tx.
`java.lang.Object` | `removeNode(Fqn fqn)` Is thread safe so you dont need to deal with synchronising access to this method.
`void` | `setCache(TreeCache cache)`
`void` | `setNodes(java.util.Map nodes)` Sets the nodes.
`void` | `setVersioningImplicit(boolean versioningImplicit)` Sets if versioning is implicit for a given tx.
`java.lang.String` | `toString()` Returns debug information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionWorkspaceImpl

    public TransactionWorkspaceImpl()

Method Detail

### setCache

    public void setCache(TreeCache cache)

### getCache

    public TreeCache getCache()

### getNodes

    public java.util.Map getNodes()

  Returns the nodes.

  Specified by:
    `getNodes` in interface `TransactionWorkspace`
  Returns:
    Returns a map of `WorkspaceNode`s, keyed on `Fqn`

### setNodes

    public void setNodes(java.util.Map nodes)

  Sets the nodes.

  Specified by:
    `setNodes` in interface `TransactionWorkspace`
  Parameters:
    `nodes` - The nodes to set. Takes `WorkspaceNode`s.

### getNode

    public WorkspaceNode getNode(Fqn fqn)

  Specified by:
    `getNode` in interface `TransactionWorkspace`

### addNode

    public void addNode(WorkspaceNode node)

  Description copied from interface: `TransactionWorkspace`
  Is thread safe so you dont need to deal with synchronising access to this method.

  Specified by:
    `addNode` in interface `TransactionWorkspace`

### removeNode

    public java.lang.Object removeNode(Fqn fqn)

  Description copied from interface: `TransactionWorkspace`
  Is thread safe so you dont need to deal with synchronising access to this method.

  Specified by:
    `removeNode` in interface `TransactionWorkspace`

### getNodesAfter

    public java.util.SortedMap getNodesAfter(Fqn fqn)

  Description copied from interface: `TransactionWorkspace`
  Returns all nodes equal to or after the given node.

  Specified by:
    `getNodesAfter` in interface `TransactionWorkspace`

### isVersioningImplicit

    public boolean isVersioningImplicit()

  Description copied from interface: `TransactionWorkspace`
  Tests if versioning is implicit for a given tx. If set to true, the interceptor chain will handle versioning (implicit to JBossCache). If set to false, DataVersions will have to come from the caller.

  Specified by:
    `isVersioningImplicit` in interface `TransactionWorkspace`

### setVersioningImplicit

    public void setVersioningImplicit(boolean versioningImplicit)

  Description copied from interface: `TransactionWorkspace`
  Sets if versioning is implicit for a given tx. If set to true, the interceptor chain will handle versioning (implicit to JBossCache). If set to false, DataVersions will have to come from the caller.

  Specified by:
    `setVersioningImplicit` in interface `TransactionWorkspace`

### toString

    public java.lang.String toString()

  Returns debug information.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.